Package com.independentsoft.office.spreadsheet.extensions

# Class X14IconSet

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14IconSet

public class X14IconSet extends Object
Represents an icon set rule definition (x14:iconSet element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14IconSet()`
  Instantiates a new x14 icon set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14IconSet`
  `clone()`
  `Boolean`
  `getCustom()`
  Gets whether the icon set uses custom icons (x14:cfIcon children).
  `List<X14Icon>`
  `getIcons()`
  Gets the custom icons.
  `String`
  `getIconSetType()`
  Gets the icon set type (iconSet attribute), e.g.
  `Boolean`
  `getPercent()`
  Gets whether thresholds are percents.
  `Boolean`
  `getReverse()`
  Gets whether the icon order is reversed.
  `Boolean`
  `getShowValue()`
  Gets whether cell values are shown next to the icons.
  `List<X14ConditionalFormattingValueObject>`
  `getValueObjects()`
  Gets the value objects defining the thresholds.
  `void`
  `setCustom​(Boolean custom)`
  Sets whether the icon set uses custom icons (x14:cfIcon children).
  `void`
  `setIconSetType​(String iconSetType)`
  Sets the icon set type (iconSet attribute), e.g.
  `void`
  `setPercent​(Boolean percent)`
  Sets whether thresholds are percents.
  `void`
  `setReverse​(Boolean reverse)`
  Sets whether the icon order is reversed.
  `void`
  `setShowValue​(Boolean showValue)`
  Sets whether cell values are shown next to the icons.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14IconSet

    public X14IconSet()
    Instantiates a new x14 icon set.

- ## Method Details

  - ### clone

    public X14IconSet clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIconSetType

    public String getIconSetType()
    Gets the icon set type (iconSet attribute), e.g. "3TrafficLights1" or "5Boxes".
    Returns:
      the icon set type

  - ### setIconSetType

    public void setIconSetType​(String iconSetType)
    Sets the icon set type (iconSet attribute), e.g. "3TrafficLights1" or "5Boxes".
    Parameters:
      `iconSetType` - the new icon set type

  - ### getShowValue

    public Boolean getShowValue()
    Gets whether cell values are shown next to the icons.
    Returns:
      whether cell values are shown next to the icons

  - ### setShowValue

    public void setShowValue​(Boolean showValue)
    Sets whether cell values are shown next to the icons.
    Parameters:
      `showValue` - the new show value flag

  - ### getPercent

    public Boolean getPercent()
    Gets whether thresholds are percents.
    Returns:
      whether thresholds are percents

  - ### setPercent

    public void setPercent​(Boolean percent)
    Sets whether thresholds are percents.
    Parameters:
      `percent` - the new percent flag

  - ### getReverse

    public Boolean getReverse()
    Gets whether the icon order is reversed.
    Returns:
      whether the icon order is reversed

  - ### setReverse

    public void setReverse​(Boolean reverse)
    Sets whether the icon order is reversed.
    Parameters:
      `reverse` - the new reverse flag

  - ### getCustom

    public Boolean getCustom()
    Gets whether the icon set uses custom icons (x14:cfIcon children).
    Returns:
      whether the icon set uses custom icons

  - ### setCustom

    public void setCustom​(Boolean custom)
    Sets whether the icon set uses custom icons (x14:cfIcon children).
    Parameters:
      `custom` - the new custom flag

  - ### getValueObjects

    public List<X14ConditionalFormattingValueObject> getValueObjects()
    Gets the value objects defining the thresholds.
    Returns:
      the value objects defining the thresholds

  - ### getIcons

    public List<X14Icon> getIcons()
    Gets the custom icons.
    Returns:
      the custom icons